CRAN Package Check Results for Package Bclim

Last updated on 2019-09-14 22:48:20 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 3.1.2 5.40 21.23 26.63 OK --no-vignettes
r-devel-linux-x86_64-debian-gcc 3.1.2 3.90 16.90 20.80 OK --no-vignettes
r-devel-linux-x86_64-fedora-clang 3.1.2 1192.57 NOTE
r-devel-linux-x86_64-fedora-gcc 3.1.2 1308.37 NOTE
r-devel-windows-ix86+x86_64 3.1.2 25.00 37.00 62.00 NOTE --no-vignettes
r-patched-linux-x86_64 3.1.2 4.58 20.93 25.51 OK --no-vignettes
r-patched-solaris-x86 3.1.2 1916.70 WARN
r-release-linux-x86_64 3.1.2 4.26 21.03 25.29 OK --no-vignettes
r-release-windows-ix86+x86_64 3.1.2 12.00 49.00 61.00 NOTE --no-vignettes
r-release-osx-x86_64 3.1.2 NOTE
r-oldrel-windows-ix86+x86_64 3.1.2 15.00 35.00 50.00 NOTE --no-vignettes
r-oldrel-osx-x86_64 3.1.2 NOTE

Check Details

Version: 3.1.2
Check: dependencies in R code
Result: NOTE
    Namespace in Imports field not imported from: ‘ggplot2’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-osx-x86_64, r-oldrel-osx-x86_64

Version: 3.1.2
Check: compiled code
Result: NOTE
    File ‘Bclim/libs/Bclim.so’:
     Found no calls to: ‘R_registerRoutines’, ‘R_useDynamicSymbols’
    
    It is good practice to register native routines and to disable symbol
    search.
    
    See ‘Writing portable packages’ in the ‘Writing R Extensions’ manual.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 3.1.2
Flags: --no-vignettes
Check: DESCRIPTION meta-information
Result: NOTE
    NeedsCompilation field should likely be 'yes'
Flavors: r-devel-windows-ix86+x86_64, r-release-windows-ix86+x86_64, r-oldrel-windows-ix86+x86_64

Version: 3.1.2
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘Bclim.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     The vignette engine knitr::rmarkdown is not available, because the rmarkdown package is not installed. Please install it.
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
    Warning in predictExtrapUp(alpha, lambda, beta, predictPositionsRescaled[depthIndRange], :
     Unable to find suitable chronologies for top of core - truncated to date of extraction
Flavor: r-patched-solaris-x86